local capabilities = require('cmp_nvim_lsp').default_capabilities()

local lspconfig = require('lspconfig')

lspconfig.jdtls.setup{
    cmd = { "jdtls" },
    settings = {
        java = {
            signatureHelp = {
                enabled = true,
            },
        },
    },
}

lspconfig.clangd.setup{}

lspconfig.rust_analyzer.setup({
    capabilities = capabilities,
    settings = {
        ["rust-analyzer"] = {
            cargo = {
                allFeatures = true,
            },
            procMacro = {
                enable = true,
            },
        },
    },
})
